import 'package:pt2_emulated_flutter/payment_transaction/model/prepare_transaction_response_entity.dart';

prepareTransactionResponseEntityFromJson(PrepareTransactionResponseEntity data, Map<String, dynamic> json) {
	if (json['result'] != null) {
		data.result = json['result']?.toString();
	}
	if (json['response_code'] != null) {
		data.responseCode = json['response_code'];
	}
	if (json['redirect_url'] != null) {
		data.redirectUrl = json['redirect_url']?.toString();
	}
	if (json['return_url'] != null) {
		data.returnUrl = json['return_url']?.toString();
	}
	if (json['transaction_id'] != null) {
		data.transactionId = json['transaction_id']?.toInt();
	}
	if (json['statement_reference'] != null) {
		data.statementReference = json['statement_reference']?.toString();
	}
	if (json['trace_code'] != null) {
		data.traceCode = json['trace_code']?.toString();
	}
	return data;
}

Map<String, dynamic> prepareTransactionResponseEntityToJson(PrepareTransactionResponseEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['result'] = entity.result;
	data['response_code'] = entity.responseCode;
	data['redirect_url'] = entity.redirectUrl;
	data['return_url'] = entity.returnUrl;
	data['transaction_id'] = entity.transactionId;
	data['statement_reference'] = entity.statementReference;
	data['trace_code'] = entity.traceCode;
	return data;
}