import 'package:pt2_emulated_flutter/payment_verification/model/verify_payment_response_entity.dart';

verifyPaymentResponseEntityFromJson(VerifyPaymentResponseEntity data, Map<String, dynamic> json) {
	if (json['result'] != null) {
		data.result = json['result']?.toString();
	}
	if (json['details'] != null) {
		data.details = json['details']?.toString();
	}
	if (json['amount'] != null) {
		data.amount = json['amount']?.toString();
	}
	if (json['currency'] != null) {
		data.currency = json['currency']?.toString();
	}
	if (json['response_code'] != null) {
		data.responseCode = json['response_code']?.toString();
	}
	if (json['card_last_four_digits'] != null) {
		data.cardLastFourDigits = json['card_last_four_digits']?.toString();
	}
	if (json['card_first_six_digits'] != null) {
		data.cardFirstSixDigits = json['card_first_six_digits']?.toString();
	}
	if (json['card_brand'] != null) {
		data.cardBrand = json['card_brand']?.toString();
	}
	if (json['trace_code'] != null) {
		data.traceCode = json['trace_code']?.toString();
	}
	return data;
}

Map<String, dynamic> verifyPaymentResponseEntityToJson(VerifyPaymentResponseEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['result'] = entity.result;
	data['details'] = entity.details;
	data['amount'] = entity.amount;
	data['currency'] = entity.currency;
	data['response_code'] = entity.responseCode;
	data['card_last_four_digits'] = entity.cardLastFourDigits;
	data['card_first_six_digits'] = entity.cardFirstSixDigits;
	data['card_brand'] = entity.cardBrand;
	data['trace_code'] = entity.traceCode;
	return data;
}