import 'package:pt2_emulated_flutter/json/base/json_convert_content.dart';
import 'package:pt2_emulated_flutter/json/base/json_field.dart';

class MerchantInfoEntity with JsonConvert<MerchantInfoEntity> {
	String result;
	@JSONField(name: "merchant_logo")
	String merchantLogo;
	@JSONField(name: "merchant_title")
	String merchantTitle;
	@JSONField(name: "merchant_phone")
	String merchantPhone;
	@JSONField(name: "merchant_currency")
	String merchantCurrency;
	@JSONField(name: "transaction_currency")
	String transactionCurrency;
	@JSONField(name: "transaction_amount")
	String transactionAmount;
	@JSONField(name: "transaction_exchange_rate")
	int transactionExchangeRate;
	@JSONField(name: "max_amount")
	String maxAmount;
	@JSONField(name: "min_amount")
	String minAmount;
	@JSONField(name: "profile_title")
	String profileTitle;
	@JSONField(name: "device_fp_session_id")
	String deviceFpSessionId;
	@JSONField(name: "device_fp_org_id")
	String deviceFpOrgId;
	@JSONField(name: "response_code")
	String responseCode;
	@JSONField(name: "payment_timeout")
	String paymentTimeout;
	@JSONField(name: "merchant_logo_file")
	String merchantLogoFile;
}
