import 'package:flutter/cupertino.dart';
import 'package:pt2_emulated_flutter/core/BaseResponse.dart';
import 'package:pt2_emulated_flutter/payment_transaction/model/merchant_info_entity.dart';
import 'package:pt2_emulated_flutter/payment_transaction/model/prepare_transaction_response_entity.dart';
import 'package:pt2_emulated_flutter/payment_transaction/repo/payment_transaction_repo.dart';
import 'package:pt2_emulated_flutter/payment_verification/model/verify_payment_response_entity.dart';
import 'package:pt2_emulated_flutter/payment_verification/repo/payment_verification_repo.dart';

class PaymentVerificationProvider extends ChangeNotifier {
  PaymentVerificationRepo repo = new PaymentVerificationRepo();
  MerchantInfoEntity merchantInfoEntity;

  Future<PayTabsBaseResponse<VerifyPaymentResponseEntity>> verifyPayment() {
    return repo.verifyPayment();
  }
}
