import 'package:pt2_emulated_flutter/payment_transaction/model/merchant_info_entity.dart';

merchantInfoEntityFromJson(MerchantInfoEntity data, Map<String, dynamic> json) {
	if (json['result'] != null) {
		data.result = json['result']?.toString();
	}
	if (json['merchant_logo'] != null) {
		data.merchantLogo = json['merchant_logo']?.toString();
	}
	if (json['merchant_title'] != null) {
		data.merchantTitle = json['merchant_title']?.toString();
	}
	if (json['merchant_phone'] != null) {
		data.merchantPhone = json['merchant_phone']?.toString();
	}
	if (json['merchant_currency'] != null) {
		data.merchantCurrency = json['merchant_currency']?.toString();
	}
	if (json['transaction_currency'] != null) {
		data.transactionCurrency = json['transaction_currency']?.toString();
	}
	if (json['transaction_amount'] != null) {
		data.transactionAmount = json['transaction_amount']?.toString();
	}
	if (json['transaction_exchange_rate'] != null) {
		data.transactionExchangeRate = json['transaction_exchange_rate']?.toInt();
	}
	if (json['max_amount'] != null) {
		data.maxAmount = json['max_amount']?.toString();
	}
	if (json['min_amount'] != null) {
		data.minAmount = json['min_amount']?.toString();
	}
	if (json['profile_title'] != null) {
		data.profileTitle = json['profile_title']?.toString();
	}
	if (json['device_fp_session_id'] != null) {
		data.deviceFpSessionId = json['device_fp_session_id']?.toString();
	}
	if (json['device_fp_org_id'] != null) {
		data.deviceFpOrgId = json['device_fp_org_id']?.toString();
	}
	if (json['response_code'] != null) {
		data.responseCode = json['response_code']?.toString();
	}
	if (json['payment_timeout'] != null) {
		data.paymentTimeout = json['payment_timeout']?.toString();
	}
	if (json['merchant_logo_file'] != null) {
		data.merchantLogoFile = json['merchant_logo_file']?.toString();
	}
	return data;
}

Map<String, dynamic> merchantInfoEntityToJson(MerchantInfoEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['result'] = entity.result;
	data['merchant_logo'] = entity.merchantLogo;
	data['merchant_title'] = entity.merchantTitle;
	data['merchant_phone'] = entity.merchantPhone;
	data['merchant_currency'] = entity.merchantCurrency;
	data['transaction_currency'] = entity.transactionCurrency;
	data['transaction_amount'] = entity.transactionAmount;
	data['transaction_exchange_rate'] = entity.transactionExchangeRate;
	data['max_amount'] = entity.maxAmount;
	data['min_amount'] = entity.minAmount;
	data['profile_title'] = entity.profileTitle;
	data['device_fp_session_id'] = entity.deviceFpSessionId;
	data['device_fp_org_id'] = entity.deviceFpOrgId;
	data['response_code'] = entity.responseCode;
	data['payment_timeout'] = entity.paymentTimeout;
	data['merchant_logo_file'] = entity.merchantLogoFile;
	return data;
}