import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'language_enum.dart';

class RequiredDataModel {
  RequiredDataModel({
    @required this.merchantEmail,
    @required this.secretKey,
    @required this.amount,
    @required this.transactionTitle,
    @required this.currency,
    @required this.customerPhoneNumber,
    @required this.orderId,
    @required this.productName,
    @required this.customerEmail,
    @required this.countryBilling,
    @required this.addressBilling,
    @required this.cityBilling,
    @required this.stateBilling,
    @required this.postalCodeBilling,
    @required this.countryShipping,
    @required this.addressShipping,
    @required this.cityShipping,
    @required this.stateShipping,
    @required this.postalCodeShipping,
    @required this.isTokenizationEnabled,
    @required this.isPreAuth,
    @required this.language,
    @required this.themeData,
    this.email,
    this.exchangeRate,
    this.skipEmail,
    this.isExistingCustomer,
    this.originalAssigneeCode,
  });

  String merchantEmail;
  String secretKey;
  String amount;
  String transactionTitle;
  PaymentSupportedLanguage language = PaymentSupportedLanguage.ENGLISH;
  String originalAssigneeCode;
  String currency;
  String email;
  String skipEmail;
  String customerPhoneNumber;
  String orderId;
  String productName;
  String customerEmail;
  String countryBilling;
  String addressBilling;
  String cityBilling;
  String stateBilling;
  String postalCodeBilling;
  String countryShipping;
  String addressShipping;
  String cityShipping;
  String stateShipping;
  String postalCodeShipping;
  String exchangeRate;
  ThemeData themeData;
  bool isTokenizationEnabled;
  bool isPreAuth;
  bool isExistingCustomer;
}
