import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class D3sWebView extends StatefulWidget {
  final d3Url;
  final returnUrl;

  D3sWebView({Key key, @required this.d3Url, @required this.returnUrl})
      : super(key: key);

  @override
  _D3sWebViewState createState() => _D3sWebViewState();
}

class _D3sWebViewState extends State<D3sWebView> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Pay'),
      ),
      body: WebView(
        initialUrl: widget.d3Url,
        javascriptMode: JavascriptMode.unrestricted,
        onPageFinished: (s) => {print(s)},
        onPageStarted: (s) => {
          if (s == widget.returnUrl) {Navigator.pop(context,0)}
        },
      ),
    );
  }
}
